
.hero {
    position: relative;
    height: 480px;
    overflow: hidden;
}

.hero-bg {
    position: absolute;
    top: 0;
    left: 0;
    right:0;
    bottom:0;
    background: url('../images/banner_pc.png') 50% 50% no-repeat;
    background-size: cover;
}

.hero-content {
    position: relative;
    z-index: 1;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: var(--bg-base);
    text-align: center;
    padding: 0 20px;
}

.hero-content h1 {
    text-align: center;
    font-weight: 500;
    font-size: 40px;
    line-height: 48px;
    text-align: center;

}

@media (max-width: 768px) {
    .hero-bg {
        background: url('../images/banner.png') 50% 50% no-repeat;
        background-size: cover;
    }
    .hero{
        height: 260px;
    }
    .hero-content h1 {
        font-size:24px;
        line-height:36px
    }

}

.countdown {
    background-color: black;
    /* background: #1A1A1A; */
    color: var(--text-inverse);
    padding: 40px 0;
}

.countdown-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.iframe{
    width: 100%;
    height:100px;
    border: none;
    padding: 0 !important;
    margin: 0 !important;
}
.countdown-info {
    font-weight: 500;
    font-size: 20px;
    line-height: 28px;
    flex-shrink: 0;
}

.countdown-timer {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    flex-shrink: 0;
    color: #E4221C;
}

.time-box {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.time-value {
    font-family: 'DS-Digital', 'Open Sans','monospace';
    font-weight: 500;
    font-size: 48px;
    height: 48px;
    line-height: 48px;
    text-align: center;
    padding: 0 10px;
}

.time-label {
    font-size: 14px;
    font-weight: 4500;
    margin-top: 8px;
}

.time-separator {
    font-weight: 600;
    font-size: 36px;
    height: 48px;
    line-height: 48px;
    flex-shrink: 0;
    transform: translateY(-2px);
    padding: 0 10px;
}

.sponsor {
    display: flex;
    align-items: center;
    gap: 4px;
}

.sponsor-logo {
    max-width: 270px;
    height: auto;
    display: block;
}

@media (max-width: 1024px) {
    .encountdown .time-value {
        font-size: 30px;
    }
}
@media (max-width: 992px) {
   .encountdown .countdown-info {
        font-size: 15px;
    }
    .encountdown .time-value {
        font-size: 30px;
    }
    .encountdown .sponsor-logo {
        max-width: 180px;
    }
    .iframe{
        height:82px;
    }
}

@media (max-width: 992px) {
   .encountdown .countdown-info {
        font-size: 18px;
    }
   .encountdown .time-value {
        font-size: 36px;
        padding: 0 6px;
    }
   .encountdown .sponsor-logo {
        max-width: 220px;
    }
}

@media (max-width: 950px) {
    .countdown-info {
        font-size: 18px;
    }
    .time-value {
        font-size: 36px;
        padding: 0 6px;
    }
    .sponsor-logo {
        max-width: 220px;
    }
}

@media (max-width: 768px) {
    .countdown-content {
        flex-direction: column-reverse;
    }
    .countdown-timer{
        padding:12px 0;
    }
    .countdown-info {
        font-size: 16px;
        text-align: center;
        line-height: 24px;
    }
    .iframe{
        width:95%;
        max-width: 380px;
        height:128px
    }
}



.about {
    padding: 80px 0;
}

.about-content {
    display: flex;
    gap: 32px;
    align-items: flex-start;
    justify-content: space-between;
}
.about-text{
    width: 44%;
    padding-top:60px;
}
.about-image{
    width: 36%;
}

.about-text h2 {
    font-weight: 500;
    font-size: 32px;
    line-height:1.3;
    color: #0078C8;
    margin-bottom: 30px;
}

.about-text p {
    font-weight: 400;
    font-size: 16px;
    line-height: 1.6;
    text-align: justify;
}
.enabout .about-text p {
    text-align: left;
}

.about-image {
    display: flex;
    justify-content: flex-end;
    position: relative;
    z-index: 2;
}

.about-image img {
    max-width: 100%;
    height: auto;
    margin: 0 auto;
}

@media (max-width: 980px) {
    .about-text{
        width: 55%;
        padding-top:0;
    }
    
.about-text h2 {
    font-size: 28px;
    margin-bottom: 20px;
    }
}
@media (max-width:768px) {
    .about {
        padding: 60px 0;
    }
    .about-text{
        width: 100%;
    }
     .about-text h2{
        text-align: center;
        font-size: 24px;
        line-height: 36px;
     }
    .about-image{
        width: 100%;
    }

    .about-content {
        flex-direction: column;
    }
}

.history {
    margin-top: -130px;
    padding: 120px 0 80px 0;
    background: #F3F4F6;
    position: relative;
    z-index: 1;
}

.history h2 {
    text-align: center;
    font-weight: 500;
    font-size: 32px;
    line-height:1.3;
    color: #0078C8;
    margin-bottom: 30px;
}

.history-text p {
    font-weight: 400;
    font-size: 16px;
    line-height: 1.6;
    text-align: justify;
    margin-bottom: 20px;

}
.history-text p:last-child{
    margin-bottom:0
}

@media (max-width: 980px) {
    .history h2 {
        font-size: 28px;
        }
}
@media (max-width: 768px) {
    .history {
        margin-top: -110px;
        padding:100px 0 60px 0;
    }
    .history h2 {
        font-size: 24px;
        line-height: 36px;
    }
}

.news {
    padding: 80px 0 60px;
    background: #C8143C;
    color: var(--text-inverse);
    color: #fff;
}

.news h2 {
    text-align: center;
    font-weight: 500;
    font-size: 32px;
    line-height:1.3;
    margin-bottom: 30px;
}

.news-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap:36px;
}

.news-card {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.news-card img {
    width: 100%;
    height: 260px;
    object-fit: cover;
    display: block;
    margin-bottom: 20px;
}

.news-card p {
    margin-bottom: 20px;
    font-weight: 400;
    font-size: 20px;
    line-height: 1.5;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.news-link {
    max-width: 130px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
    padding: 6px 20px;
    border: 1px solid var(--bg-base);
    color: var(--bg-base);
    font-size: 13px;
    font-weight: 500;
}
.news-link .arrow {
    width: 12px;
    height: 12px;
}

@media (max-width: 980px) {
    .news h2 {
        font-size: 28px;
    }
}
@media (max-width: 768px) {
    .news {
        padding:60px 0 40px ;
    }
    .news-grid {
        grid-template-columns: repeat(  1, 1fr);
        gap:20px;
    }
    .news-content p {
        font-size: 16px;
        margin-bottom: 16px;
    }
    .news h2 {
        font-size: 24px;
        line-height: 36px;
    }
}


.overview{
    padding: 80px 0; 
    position: relative;
}
.overview-bg {
    position: absolute;
    top: 0;
    left: 0;
    right:0;
    bottom:0;
    background: url('../images/bg_gy.png') 50% 50% no-repeat;
    background-size: cover;
    z-index: 0;
}

.overview .container {
    position: relative;
    z-index: 1;
    color: var(--text-inverse);
}

.overview-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.overview-content h2 {
    text-align: center;
    font-weight: 500;
    font-size: 32px;
    line-height:1.3;
    margin-bottom: 60px;
}

.overview-info {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 32px;
}

.overview-info-text {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.overview-info-text p {
    font-size: 16px;
    font-weight: 400;
    line-height: 28px;
}
.overview-logo {
    max-width: 336px;
    height: auto;
    flex-shrink: 0;

}

@media (max-width: 980px) {
    .overview-content h2 {
        font-size: 28px;
    }
}
@media (max-width: 768px) {
    .overview {
        padding:60px 0;
    }
    .overview-info{
        flex-direction:column-reverse;
        justify-content: center;
        gap: 24px;
    }
    .overview-content h2{
        font-size:24px;
        line-height: 36px;
    }
}
